Skip to main content
`Ctrl`+`K`

# SNESConvergedReasonViewFromOptions

Processes command line options to determine if/how a `SNESConvergedReason` is to be viewed at the end of `SNESSolve()` All the user-provided viewer routines set with `SNESConvergedReasonViewSet()` will be called, if they exist.

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESConvergedReasonViewFromOptions(SNES snes)

Collective

## Input Parameter

- snes - the `SNES` object

## Note

This function has a different API and behavior than `PetscObjectViewFromOptions()`

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESConvergedReason`, `SNESConvergedReasonViewSet()`, `SNESCreate()`, `SNESSetUp()`, `SNESDestroy()`, `SNESSetTolerances()`, `SNESConvergedDefault()`, `SNESGetConvergedReason()`, `SNESConvergedReasonView()`

## Level

advanced

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages